using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Globalization;
using System.Web.Security;
using PushPlatform.Data;

namespace PushPlatform.Data.MvcModel
{
    public partial class SysPushModel
    {
        
        #region Column Mapped Properties
        
        
        [Display(Name = "Id")]
        public System.String Id { get; set; }
        
        [Display(Name = "PushsysProid")]
        public System.String PushsysProid { get; set; }
        
        [Display(Name = "NameDes")]
        public System.String NameDes { get; set; }
        
        [Display(Name = "PushTarget")]
        public System.Int32? PushTarget { get; set; }
        
        [Display(Name = "PushStyle")]
        public System.String PushStyle { get; set; }
        
        [Display(Name = "PushTitle")]
        public System.String PushTitle { get; set; }
        
        [Display(Name = "PushBody")]
        public System.String PushBody { get; set; }
        
        [Display(Name = "PushType")]
        public System.Int32? PushType { get; set; }
        
        [Display(Name = "PushCycle")]
        public System.Int32? PushCycle { get; set; }
        
        [Display(Name = "PushMonth")]
        public System.String PushMonth { get; set; }
        
        [Display(Name = "PushWhich")]
        public System.String PushWhich { get; set; }
        
        [Display(Name = "PushAction")]
        public System.String PushAction { get; set; }
        
        [Display(Name = "PushActiontype")]
        public System.Int32? PushActiontype { get; set; }
        
        [Display(Name = "PushIoslink")]
        public System.String PushIoslink { get; set; }
        
        [Display(Name = "PushAndlink")]
        public System.String PushAndlink { get; set; }
        
        [Display(Name = "PushWeblink")]
        public System.String PushWeblink { get; set; }
        
        [Display(Name = "PushWechatlink")]
        public System.String PushWechatlink { get; set; }
        
        [Display(Name = "DbConnectid")]
        public System.String DbConnectid { get; set; }
        
        [Display(Name = "PushUserAction")]
        public System.String PushUserAction { get; set; }
        
        [Display(Name = "PushUserActiontype")]
        public System.Int32? PushUserActiontype { get; set; }
        
        [Display(Name = "DbUserConnectid")]
        public System.String DbUserConnectid { get; set; }
        
        [Display(Name = "IsDeleted")]
        public System.Int32 IsDeleted { get; set; }
        
        [Display(Name = "CreateUser")]
        public System.String CreateUser { get; set; }
        
        [Display(Name = "CreateTime")]
        public System.DateTime CreateTime { get; set; }
        
        [Display(Name = "UpdateUser")]
        public System.String UpdateUser { get; set; }
        
        [Display(Name = "UpdateTime")]
        public System.DateTime? UpdateTime { get; set; }
        
        [Display(Name = "Timestamp")]
        public System.Int64 Timestamp { get; set; }
        
        
        
        
        
        
        
        #endregion
        
        
    }
}

